[P008]Semantic Search Similar Patent
Receive patent list by semantic search, the maximum number of patents returned is 1000. Sort by default from high to low similarity .Try entering a technical piece of text e.g. an abstract (we recommend entering >200 words for best results).
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | RELEVANCY | field sort(only Chinese).field support RELEVANCY,APD,PBD. The default RELEVANCY |
| string | desc | order supports desc,asc. The default desc |
| string | 1,2 | patent simple legal status 0:Inactive 1:Active 2:Pending 220:PCT designated stage expired 221:PCT designated stage 999:Undetermined, Multiple items can be searched, separated by comma. |
Required | string | The invention discloses an automobile front-view based wireless video transmission system and method. The system comprises a front-view camera, a wireless video transmitting module, a wireless video receiving module, a display screen, a display triggering device, a first controller, a wireless command transmitting module, a wireless command receiving module, a second controller and an automobile starting detecting module, wherein the display screen is connected with the wireless video receiving module; the front-view camera is connected with the wireless video transmitting module; the wireless video transmitting module is wirelessly connected with the wireless video receiving module and wirelessly transmits a video shot by the front-view camera; and the wireless video receiving module receives and sends the video and displays the video on the display screen, so that the mounting time of the front-view camera is shortened greatly, no damage can be caused to an original automobile, the front-view camera can be mounted without a threading manner, and great convenience is brought to the owner of the automobile. | semantic query text |
| array | [
"CNA",
"CNB"
] | Authority and kind code.
For the Authority code, refer to https://analytics.patsnap.com/status;
Kind code is: A (Application), B (Granted Patent), U (Utility Model), D (Design).
Multiple items can be searched, separated by comma. |
| string | 20200101 | Start year of publication date |
| string | 20220101 | End year of publication date |
| string | 20200101 | Start year of application date |
| string | 20220101 | End year of application date |
| string | 50% | relevancy
(the relevancy calculated logic can refer to: https://help.patsnap.com/hc/en-us/articles/210698769-What-Is-Semantic-Search-How-Does-It-Work) |
| integer<int32> | - | offset value; limit + offset <= 20000 (the max number of Semantic Search is 1000) |
| integer<int32> | 10 | limit of returned response; must be <= 1,000 |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
results | array | Please check the form: SemanticResult | result |
pn | string | JP1999068462A | patent number |
apdt | integer<int32> | 20211108 | Application Date |
apno | string | US17/521392 | Application Number |
pbdt | integer<int32> | 20230815 | Publication Date |
title | string | Techniques for using multiple symbols to provide feedback for a sidelink transmission | Title |
inventor | string | ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH | Inventor |
patent_id | string | 1a47a70d-6b54-4709-a72a-ed552781fcac | patent id |
relevancy | string | 99% | relevancy between the result patent and the input content |
current_assignee | string | QUALCOMM INCORPORATED | Current Assignee |
original_assignee | string | QUALCOMM INCORPORATED | Original Assignee (Applicant) |
current_assignee_address | string | QUALCOMM INCORPORATED | Current Assignee Address |
original_assignee_address | string | QUALCOMM INCORPORATED | Original Assignee (Applicant) Address |
result_count | integer<int32> | 10 | Received result count |
total_search_result_count | integer<int64> | 1000 | Total search result count |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": {
"results": [
{
"pn": "JP1999068462A",
"apdt": 20211108,
"apno": "US17/521392",
"pbdt": 20230815,
"title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
"inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
"patent_id": "1a47a70d-6b54-4709-a72a-ed552781fcac",
"relevancy": "99%",
"current_assignee": "QUALCOMM INCORPORATED",
"original_assignee": "QUALCOMM INCORPORATED",
"current_assignee_address": "QUALCOMM INCORPORATED",
"original_assignee_address": "QUALCOMM INCORPORATED"
}
],
"result_count": 10,
"total_search_result_count": 1000
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms